import { GlobalEnvironment } from "../Environment/GlobalEnvironment.js";
import BaseModel from "../Models/BaseModel.js";
export interface IBaseViewOptions extends Jade.UI.IControlOptions {
    source: BaseModel;
}
export declare class BaseView extends Jade.UI.Control {
    private m_source;
    private m_subscribers;
    constructor(options: IBaseViewOptions);
    protected get source(): BaseModel;
    protected set source(value: BaseModel);
    protected get globals(): GlobalEnvironment;
    protected get subscribers(): Array<Jade.EventBusSubscription>;
    protected onDestroy(e: any): void;
    private ensureSubscribers;
}
